Index: src/Tesselation/tesselationhelpers.cpp
===================================================================
--- src/Tesselation/tesselationhelpers.cpp	(revision 2a3124b519027c588e363ec4c5a44171b4715777)
+++ src/Tesselation/tesselationhelpers.cpp	(revision ce7bfd57176b8ad23e9bfcc393a41c4798df77ed)
@@ -44,5 +44,5 @@
 void GetSphere(Vector * const center, const Vector &a, const Vector &b, const Vector &c, const double RADIUS)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   RealSpaceMatrix mat;
   double m11, m12, m13, m14;
@@ -109,5 +109,5 @@
     const double HalfplaneIndicator, const double AlternativeIndicator, const double alpha, const double beta, const double gamma, const double RADIUS, const double Umkreisradius)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector TempNormal, helper;
   double Restradius;
@@ -123,7 +123,7 @@
   Center->Scale(1./(sin(2.*alpha) + sin(2.*beta) + sin(2.*gamma)));
   (*NewUmkreismittelpunkt) = (*Center);
-  LOG(2, "INFO: Center of new circumference is " << *NewUmkreismittelpunkt << ".");
+  LOG(4, "DEBUG: Center of new circumference is " << *NewUmkreismittelpunkt << ".");
   // Here we calculated center of circumscribing circle, using barycentric coordinates
-  LOG(2, "INFO: Center of circumference is " << *Center << " in direction " << *Direction << ".");
+  LOG(4, "DEBUG: Center of circumference is " << *Center << " in direction " << *Direction << ".");
 
   TempNormal = a - b;
@@ -147,11 +147,11 @@
   TempNormal.Normalize();
   Restradius = sqrt(RADIUS*RADIUS - Umkreisradius*Umkreisradius);
-  LOG(2, "Height of center of circumference to center of sphere is " << Restradius << ".");
+  LOG(5, "DEBUG: Height of center of circumference to center of sphere is " << Restradius << ".");
   TempNormal.Scale(Restradius);
-  LOG(2, "Shift vector to sphere of circumference is " << TempNormal << ".");
+  LOG(5, "DEBUG: Shift vector to sphere of circumference is " << TempNormal << ".");
   (*Center) += TempNormal;
-  LOG(2, "Center of sphere of circumference is " << *Center << ".");
+  LOG(5, "DEBUG: Center of sphere of circumference is " << *Center << ".");
   GetSphere(&OtherCenter, a, b, c, RADIUS);
-  LOG(2, "OtherCenter of sphere of circumference is " << OtherCenter << ".");
+  LOG(5, "DEBUG: OtherCenter of sphere of circumference is " << OtherCenter << ".");
 };
 
@@ -165,5 +165,5 @@
 void GetCenterofCircumcircle(Vector &Center, const Vector &a, const Vector &b, const Vector &c)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector helper;
   Vector SideA = b - c;
@@ -181,5 +181,5 @@
   if (fabs(helper[0]+helper[1]+helper[2]) > MYEPSILON)
     Center.Scale(1./(helper[0]+helper[1]+helper[2]));
-  LOG(1, "INFO: Center (2nd algo) is at " << Center << ".");
+  LOG(4, "DEBUG: Center (2nd algo) is at " << Center << ".");
 };
 
@@ -200,5 +200,5 @@
 double GetPathLengthonCircumCircle(const Vector &CircleCenter, const Vector &CirclePlaneNormal, const double CircleRadius, const Vector &NewSphereCenter, const Vector &OldSphereCenter, const Vector &NormalVector, const Vector &SearchDirection, const double HULLEPSILON)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector helper;
   double radius, alpha;
@@ -220,13 +220,13 @@
   if (helper.ScalarProduct(SearchDirection) < -HULLEPSILON)  // acos is not unique on [0, 2.*M_PI), hence extra check to decide between two half intervals
     alpha = 2.*M_PI - alpha;
-  LOG(1, "INFO: RelativeNewSphereCenter is " << helper << ", RelativeOldSphereCenter is " << RelativeOldSphereCenter << " and resulting angle is " << alpha << ".");
+  LOG(3, "DEBUG: RelativeNewSphereCenter is " << helper << ", RelativeOldSphereCenter is " << RelativeOldSphereCenter << " and resulting angle is " << alpha << ".");
   radius = helper.distance(RelativeOldSphereCenter);
   helper.ProjectOntoPlane(NormalVector);
   // check whether new center is somewhat away or at least right over the current baseline to prevent intersecting triangles
   if ((radius > HULLEPSILON) || (helper.Norm() < HULLEPSILON)) {
-    LOG(1, "INFO: Distance between old and new center is " << radius << " and between new center and baseline center is " << helper.Norm() << ".");
+    LOG(4, "DEBUG: Distance between old and new center is " << radius << " and between new center and baseline center is " << helper.Norm() << ".");
     return alpha;
   } else {
-    LOG(1, "INFO: NewSphereCenter " << RelativeNewSphereCenter << " is too close to RelativeOldSphereCenter" << RelativeOldSphereCenter << ".");
+    LOG(3, "DEBUG: NewSphereCenter " << RelativeNewSphereCenter << " is too close to RelativeOldSphereCenter" << RelativeOldSphereCenter << ".");
     return 2.*M_PI;
   }
@@ -251,5 +251,5 @@
 double GetAngle(const Vector &point, const Vector &reference, const Vector &OrthogonalVector)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   if (reference.IsZero())
     return M_PI;
@@ -278,5 +278,5 @@
 double CalculateVolumeofGeneralTetraeder(const Vector &a, const Vector &b, const Vector &c, const Vector &d)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector Point, TetraederVector[3];
   double volume;
@@ -302,5 +302,5 @@
 double CalculateAreaofGeneralTriangle(const Vector &A, const Vector &B, const Vector &C)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
 
   const double sidea = B.distance(C);
@@ -322,5 +322,5 @@
 bool CheckLineCriteriaForDegeneratedTriangle(const BoundaryPointSet * const nodes[3])
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   bool result = false;
   int counter = 0;
@@ -360,5 +360,5 @@
 //bool SortCandidates(const CandidateForTesselation* candidate1, const CandidateForTesselation* candidate2)
 //{
-//	Info FunctionInfo(__func__);
+//	//Info FunctionInfo(__func__);
 //  Vector BaseLineVector, OrthogonalVector, helper;
 //  if (candidate1->BaseLine != candidate2->BaseLine) {  // sanity check
@@ -411,5 +411,5 @@
 TesselPoint* FindSecondClosestTesselPoint(const Vector& Point, const LinkedCell_deprecated* const LC)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   TesselPoint* closestPoint = NULL;
   TesselPoint* secondClosestPoint = NULL;
@@ -422,5 +422,5 @@
   for(int i=0;i<NDIM;i++) // store indices of this cell
     N[i] = LC->n[i];
-  LOG(1, "INFO: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << ".");
+  LOG(2, "DEBUG: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << ".");
 
   LC->GetNeighbourBounds(Nlower, Nupper);
@@ -463,5 +463,5 @@
 TesselPoint* FindClosestTesselPoint(const Vector& Point, TesselPoint *&SecondPoint, const LinkedCell_deprecated* const LC)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   TesselPoint* closestPoint = NULL;
   SecondPoint = NULL;
@@ -474,5 +474,5 @@
   for(int i=0;i<NDIM;i++) // store indices of this cell
     N[i] = LC->n[i];
-  LOG(1, "INFO: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << ".");
+  LOG(2, "DEBUG: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << ".");
 
   LC->GetNeighbourBounds(Nlower, Nupper);
@@ -504,10 +504,10 @@
   // output
   if (closestPoint != NULL) {
-    if (DoLog(1)) {
+    if (DoLog(3)) {
       std::stringstream output;
       output << "Closest point is " << *closestPoint;
       if (SecondPoint != NULL)
         output << " and second closest is " << *SecondPoint;
-      LOG(0, output.str() << ".");
+      LOG(3, "DEBUG: " << output.str() << ".");
     }
   }
@@ -523,5 +523,5 @@
 Vector * GetClosestPointBetweenLine(const BoundaryLineSet * const Base, const BoundaryLineSet * const OtherBase)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   // construct the plane of the two baselines (i.e. take both their directional vectors)
   Vector Baseline = (Base->endpoints[1]->node->getPosition()) - (Base->endpoints[0]->node->getPosition());
@@ -557,5 +557,5 @@
 double DistanceToTrianglePlane(const Vector *x, const BoundaryTriangleSet * const triangle)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   double distance = 0.;
   if (x == NULL) {
@@ -574,5 +574,5 @@
 void WriteVrmlFile(ofstream * const vrmlfile, const Tesselation * const Tess, IPointCloud & cloud)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   TesselPoint *Walker = NULL;
   int i;
@@ -618,5 +618,5 @@
 void IncludeSphereinRaster3D(ofstream * const rasterfile, const Tesselation * const Tess, IPointCloud & cloud)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   Vector helper;
 
@@ -646,5 +646,5 @@
 void WriteRaster3dFile(ofstream * const rasterfile, const Tesselation * const Tess, IPointCloud & cloud)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   TesselPoint *Walker = NULL;
   int i;
@@ -696,5 +696,5 @@
 void WriteTecplotFile(ofstream * const tecplot, const Tesselation * const TesselStruct, IPointCloud & cloud, const int N)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   if ((tecplot != NULL) && (TesselStruct != NULL)) {
     // write header
@@ -752,5 +752,5 @@
 void CalculateConcavityPerBoundaryPoint(const Tesselation * const TesselStruct)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   class BoundaryPointSet *point = NULL;
   class BoundaryLineSet *line = NULL;
@@ -813,5 +813,5 @@
 void CalculateConstrictionPerBoundaryPoint(const Tesselation * const TesselStruct, const Tesselation * const Convex)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   double distance = 0.;
 
@@ -837,5 +837,5 @@
 bool CheckListOfBaselines(const Tesselation * const TesselStruct)
 {
-	Info FunctionInfo(__func__);
+	//Info FunctionInfo(__func__);
   LineMap::const_iterator testline;
   bool result = false;
@@ -862,5 +862,5 @@
 int CountTrianglePairContainingPolygon(const BoundaryPolygonSet * const P, const TriangleSet * const T)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   // check number of endpoints in *P
   if (P->endpoints.size() != 4) {
@@ -875,5 +875,5 @@
   }
 
-  LOG(0, "Polygon is " << *P);
+  LOG(3, "DEBUG: Polygon is " << *P);
   // create each pair, get the endpoints and check whether *P is contained.
   int counter = 0;
@@ -891,14 +891,14 @@
         const int size = PairTrianglenodes.endpoints.size();
         if (size == 4) {
-          LOG(0, " Current pair of triangles: " << **Walker << "," << **PairWalker << " with " << size << " distinct endpoints:" << PairTrianglenodes);
+          LOG(4, "DEBUG:  Current pair of triangles: " << **Walker << "," << **PairWalker << " with " << size << " distinct endpoints:" << PairTrianglenodes);
           // now check
           if (PairTrianglenodes.ContainsPresentTupel(P)) {
             counter++;
-            LOG(0, "  ACCEPT: Matches with " << *P);
+            LOG(5, "  ACCEPT: Matches with " << *P);
           } else {
-            LOG(0, "  REJECT: No match with " << *P);
+            LOG(5, "  REJECT: No match with " << *P);
           }
         } else {
-          LOG(0, "  REJECT: Less than four endpoints.");
+          LOG(5, "  REJECT: Less than four endpoints.");
         }
       }
@@ -916,10 +916,10 @@
 bool ArePolygonsEdgeConnected(const BoundaryPolygonSet * const P1, const BoundaryPolygonSet * const P2)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   int counter = 0;
   for(PointSet::const_iterator Runner = P1->endpoints.begin(); Runner != P1->endpoints.end(); Runner++) {
     if (P2->ContainsBoundaryPoint((*Runner))) {
       counter++;
-      LOG(1, *(*Runner) << " of second polygon is found in the first one.");
+      LOG(5, "DEBUG: " << *(*Runner) << " of second polygon is found in the first one.");
       return true;
     }
@@ -934,10 +934,10 @@
 void CombinePolygons(BoundaryPolygonSet * const P1, BoundaryPolygonSet * &P2)
 {
-  Info FunctionInfo(__func__);
+  //Info FunctionInfo(__func__);
   pair <PointSet::iterator, bool> Tester;
   for(PointSet::iterator Runner = P2->endpoints.begin(); Runner != P2->endpoints.end(); Runner++) {
     Tester = P1->endpoints.insert((*Runner));
     if (Tester.second)
-      LOG(0, "Inserting endpoint " << *(*Runner) << " into first polygon.");
+      LOG(4, "DEBUG: Inserting endpoint " << *(*Runner) << " into first polygon.");
   }
   P2->endpoints.clear();
